/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jndi.checker;

/**
 * Defines the checkpoint where the resource is checked.
 * @author Florent Benoit
 */
public interface ResourceCheckpoints {

    /**
     * Unknown location.
     */
    int UNKNOWN = 0;

    /**
     * EJB Post Invoke.
     */
    int EJB_POST_INVOKE = 1;

    /**
     * EJB before passivation.
     */
    int EJB_PRE_PASSIVATE = 2;

    /**
     * EJB before removal.
     */
    int EJB_PRE_DESTROY = 3;

    /**
     * After Servlet call.
     */
    int HTTP_AFTER_CALL = 4;

}
