<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListContainers"><bean:message key="tab.ejbcontainers"/></sj:tab>
  <sj:tab forward="ActionViewContainer"><bean:write name="containerForm" property="filename"/></sj:tab>
  <sj:tab forward="ActionEditContainerStatistic"><bean:message key="tab.container.statistic"/></sj:tab>
  <sj:tab forward="ActionViewContainerEjbs"><bean:message key="tab.container.ejbs"/></sj:tab>
  <logic:equal name="ejbForm" property="type" value="EntityBean">
    <sj:tab forward="Ejb Entity" selected="true"><bean:write name="ejbForm" property="name"/></sj:tab>
  </logic:equal>
  <logic:equal name="ejbForm" property="dependency" value="true">
    <sj:tab forward="Ejb Dependency"><bean:message key="tab.ejb.dependency"/></sj:tab>
  </logic:equal>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.action"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow changeStyle="true">
        <sj:gridcol>
          <sj:grid cellPadding="10">
            <sj:gridrow>
              <sj:gridcol>
                <bean:define id="actionSynchronize" value="synchronize"/>
                <sj:jonasbutton forward="ActionExecuteEjb" paramId="action" paramName="actionSynchronize">
                  <bean:message key="button.ejb.type.entity.synchronize"/>
                </sj:jonasbutton>
              </sj:gridcol>
              <sj:gridcol>
                <bean:define id="actionReduceCache" value="reduceCache"/>
                <sj:jonasbutton forward="ActionExecuteEjb" paramId="action" paramName="actionReduceCache">
                  <bean:message key="button.ejb.type.entity.reduceCache"/>
                </sj:jonasbutton>
              </sj:gridcol>
            </sj:gridrow>
          </sj:grid>
        </sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:write name="ejbForm" property="type"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.name"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="name"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.file"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="file"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.naming"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.class"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="ejbClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.jndiName"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="jndiName"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.homeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="homeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.remoteClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="remoteClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.localHomeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localHomeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.localClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localClass"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.type.entity"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.persistancy"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="persistency"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.persistancy"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.passivationTimeOut"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="passivationTimeOut"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.passivationTimeOut"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.inactivityTimeOut"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="inactivityTimeOut"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.inactivityTimeOut"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.lockPolicy"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="lockPolicy"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.lockPolicy"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.shared"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="shared"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.shared"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.prefetch"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="prefetch"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.prefetch"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.hardLimit"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="hardLimit"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.hardLimit"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.memory.minPoolSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="minPoolSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.minPoolSize"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.memory.maxCacheSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="maxCacheSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.maxCacheSize"/></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.memory"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.memory.poolSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="poolSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.memory.poolSize"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.usedInTxInstance"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="usedInTxInstance"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.usedInTxInstance"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.usedOutTxInstance"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="usedOutTxInstance"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.usedOutTxInstance"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.unusedInstance"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="unusedInstance"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.unusedInstance"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.removedInstance"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="removedInstance"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.removedInstance"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.memory.cacheSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="cacheSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.memory.cacheSize"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.pkNumber"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="pkNumber"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.pkNumber"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.entity.instance.passivatedInstance"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="passivatedInstance"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.instance.passivated"/></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

