/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2006 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_domain.api;

import org.objectweb.jonas_lib.deployment.api.CommonsSchemas;

/**
 * This class defines the declarations of Schemas for domain.xml file
 * @author Florent Benoit
 */
public class DomainSchemas extends CommonsSchemas {

    /**
     * List of schemas used for jonas-application.xml file
     */
    public static final String[] DOMAIN_SCHEMAS = new String[] {
        "jonas-domain_4_7.xsd",
        "jonas-domain_4_9.xsd"
    };


    /**
     * Build a new object for Schemas handling
     */
    public DomainSchemas() {
        super();
        addSchemas(DOMAIN_SCHEMAS);
    }


    /**
     * @return Returns the last Schema
     */
    public static String getLastSchema() {
        return DOMAIN_SCHEMAS[DOMAIN_SCHEMAS.length - 1];
    }

}
